%global abi 4
%bcond_with docs

Summary:        A library for reading DVD video discs based on Ogle code
Name:           libdvdnav
Version:        6.1.1
Release:        3%{?dist}
License:        GPLv2+
URL:            http://dvdnav.mplayerhq.hu/
Source0:        https://download.videolan.org/pub/videolan/libdvdnav/%{version}/libdvdnav-%{version}.tar.bz2
%if %{with docs}
BuildRequires:  doxygen
%endif
BuildRequires:  gcc, make, libdvdread-devel >= 6.0.0

%description
libdvdnav provides a simple library for reading DVD video discs.
The code is based on Ogle and used in, among others, the Xine dvdnav plug-in.

%package        devel
Summary:        Development files for libdvdnav
Requires:       %{name} = %{version}-%{release}
Requires:       libdvdread-devel >= 6.0.0
Requires:       pkgconfig

%description    devel
libdvdnav-devel contains the files necessary to build packages that use the
libdvdnav library.



%prep
%setup -q



%build
%configure --disable-static

%{__make} V=1 %{?_smp_mflags}
%if %{with docs}
pushd doc
doxygen doxy.conf
popd
%endif



%install
%make_install
rm %{buildroot}%{_libdir}/libdvdnav.la
rm %{buildroot}%{_pkgdocdir}/{COPYING,TODO}



%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig



%files
%license COPYING
%doc AUTHORS ChangeLog README
%{_libdir}/libdvdnav.so.%{abi}*

%files devel
%if %{with docs}
%doc TODO doc/html/*
%endif
%{_libdir}/libdvdnav.so
%{_includedir}/dvdnav
%{_libdir}/pkgconfig/dvdnav.pc



%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.1.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.1.1-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 5 2022 Zhao Zhen <jeremiazhao@tencent.com> - 6.1.1-1
- inital
